# $Revision: 1.16 $, $Date: 2001/12/14 03:49:35 $
Summary:	SeaHorse - A Gnome front end for GnuPG
Summary(pl):	SeaHorse - frontend GNOME do GnuPG
Name:		seahorse
Version:	0.5.0
Release:	3
License:	GPL
Group:		X11/Applications
Group(de):	X11/Applikationen
Group(es):	X11/Aplicaciones
Group(pl):	X11/Aplikacje
Group(pt_BR):	X11/Aplicaes
Group(pt):	X11/Aplicaes
Source0:	ftp://download.sourceforge.net/pub/sourceforge/seahorse/%{name}-%{version}.tar.gz
Patch0:		%{name}-am15.patch
Patch1:		%{name}-pixmapsdir.patch
URL:		http://seahorse.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Seahorse is a Gnome front end for GnuPG - the Gnu Privacy Guard
program. It is a tool for secure communications and data storage. Data
encryption and digital signature creation can easily be performed
through a GUI and Key Management operations can easily be carried out
through an intuitive interface. Both English and Japanese is support
is provided.

%description -l pl
SeaHorse to frontend GNOME do programu GnuPG - Gnu Privacy Guard. Jest
to narzdzie do bezpiecznego komunikowania i przechowywania danych.
Szyfrowanie danych i tworzenie cyfrowego podpisu moe by atwo
realizowane poprzez graficzny interfejs uytkownika, a zarzdzanie
kluczami jest prowadzone przez intuicyjny interfejs.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
gettextize --copy --force
aclocal -I macros
autoconf
automake -a -c
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Applicationsdir=%{_applnkdir}/Utilities

gzip -9nf AUTHORS ChangeLog NEWS README

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/seahorse
%{_mandir}/man?/*
%{_applnkdir}/Utilities/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: seahorse.spec,v $
Revision 1.16  2001/12/14 03:49:35  kloczek
- regenerate ac/am files,
- added am15 patch (fixes for automake 1.5),
- added pixmapsdr patch (place png Icon for desktop file directly in pixmapsdir
  directory).

Revision 1.15  2001/12/13 13:13:00  qboosh
- adapterized, pl translations; release 3

Revision 1.14  2001/03/01 01:50:47  kloczek
- release 2,
- rebuild against gnome-libs linked with new audiofile,
- added gnome-libs-devel to BuildRequires.

Revision 1.13  2001/02/20 02:52:54  kloczek
- updated to 0.5.0.

Revision 1.12  2001/02/02 17:50:35  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.11  2000/10/30 10:05:21  kloczek
- release 2: rebuild against gnome-libs linked with db3.

Revision 1.10  2000/10/25 01:19:40  kloczek
- updated to 0.4.9,
- use new rpm automation.

Revision 1.9  2000/06/14 20:13:20  kloczek
- updated to 0.4.8.

Revision 1.8  2000/06/13 20:08:03  kloczek
- changed Source url to ftp://download.sourceforge.net/pub/sourceforge/*.

Revision 1.7  2000/06/09 07:55:10  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/29 18:33:30  kloczek
- updated to 0.4.6,
- spec adapterized,
- desktop file moved from Applications to Utilities.

Revision 1.4  2000/05/09 08:21:26  kloczek
- updated to 0.4.5.

Revision 1.3  2000/04/14 17:41:22  kloczek
- sht%$! added missing %attr for executable.

Revision 1.2  2000/04/14 17:25:14  kloczek
- completly rewrited in PLD style.
